# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(ExtUtils/MakeMaker.pm) perl(JSON/PP.pm) perl(List/Util.pm) perl(MOP.pm) perl(Module/Runtime.pm) perl(Scalar/Util.pm) perl(Test/Fatal.pm) perl(Test/More.pm) perl(UNIVERSAL/Object.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define module_name decorators
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: Apply decorators to your methods
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/ST/STEVAN/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Decorators are subroutines that are run at compile time to modify the
behavior of a method. This can be something as drastic as replacing
the method body, or something as unintrusive as simply tagging the
method with metadata.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README README.md Changes
%perl_vendor_privlib/d*

%changelog
* Tue Feb 26 2019 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

